import styles from '/styles/MainLayout.module.scss';
import AdminNavBar from '../components/navigation/AdminNavBar';
import UserNavBar from '../components/navigation/UserNavBar';
import { useContext } from 'react';
import { LoggedUserContext } from '../contexts/LoggedUserContext';

export function Navbar() {
    const { role } = useContext(LoggedUserContext);
    const isAdmin = role === 'ADMINISTRATOR';
    const isAnnotator = role === 'ANNOTATOR';

    return (
        <div className={styles.header}>
            {(isAdmin && <AdminNavBar />) || (isAnnotator && <UserNavBar />)}
        </div>
    );
}

export default Navbar;
